<?php
include "conn.php";
include "chkuser.php";
require_once ('classphotogallery.php');
	
	if(isset($_GET['pid']))
	{
	$pid=$_GET['pid'];
	}
	else
	{
		if(isset($_POST['pid']))
		{
		$pid=$_POST['pid'];
		}
		else
		{
		$pid=0;
		}
	}

     if(isset($_GET['id'])){
	 $id=$_GET['id'];
	 }
	 else{
	 $id=0;
	 }

	if(isset($_GET['type']))
	{
	$type=$_GET['type'];
	}
	else
	{
		if(isset($_POST['type']))
		{
		$type=$_POST['type'];
		}
		else
		{
		$type="view";
		}
	}
   $obj1=new metal;

	if($type=="view")
	{
	$obj1->viewmetal($pid);
	}
	
	if($type=="new")
	{
	$obj1->newmetal($pid);
	}
	
	if($type=="edit")
	{
	$id=$_GET['id'];
	$obj1->editmetal($pid,$id);
	}
	
?>